# Change Log
All notable changes to this project will be documented in this file.
List of changes for version 0.2.0 may be incomplete.
Weapon and perk changes are described relative to ScrN versions.

## [Version 0.2.65 "back in business, take 2"] - 26.09.2019
### Changed
- Made text for inactive skills slightly brighter
- Removed mutate commands for changing skills
- Body destruction multiplier set to 1.0 for all weapons
- Now all head-shots incur at most 25% damage penalty, instead of only high-headshot modifier weapons
- Enforcer and Heavy machinegunner were merged into a single enforcer perk with reworked skills
- Weapon for enforcer shotgun: weight reduced from 6 to 4
- Weapon for enforcer benelli: weight reduced from 8 to 5, cost reduced from 750 to 500
- Weapon for enforcer Nailgun: weight reduced from 8 to 5
- Weapon for enforcer Spas-12: weight reduced from 8 to 5, cost reduced from 1000 to 750
- Weapon for enforcer hunting shotgun: weight reduced from 10 to 6
- Weapon for enforcer AA12: weight reduced from 10 to 6
- Weapon for enforcer SA80: weight reduced from 6 to 5, cost reduced from 500 to 200, head-shot modifier lowered from 1.4 to 1.0, base damage increased from 60 to 70, stun multiplier reduced from 3.0 to 1.0
- Weapon for enforcer RPK-47: weight reduced from 8 to 6, cost reduced from 750 to 250, base damage raised from 75 to 100, flinch multiplier decreased from 1.0 to 0.75
- Weapon for enforcer XMV850: weight reduced from 8 to 7, cost increased from 750 to 1000, bonus for continuous fire doesn't reset until player stops shooting
- Weapon for enforcer M41A: weight reduced from 10 to 7, cost reduced from 1250 to 750
- Weapon for enforcer M249: weight reduced from 10 to 7, flinch multiplier decreased from 1.0 to 0.9
### Fixed
- Fixed a bug that caused skill for Enforcer 'Bombard' to make perked weapons 4 times better at stunning instead of 3
- Fixed a bug that allowed bonus multiplier for shooting in bursts to apply on non head-shots

## [Version 0.2.64 "Balance and preparation"] - 14.03.2019
### Added
- Commands to test new server-client information transfer system
### Changed
- Weapon cost rebalance: now weapon prices are the same regardless of the player's perk, fixed heavy machine gunner's prices, changed some of the sharpshooter's prices to make pistols cheaper
- Weapon for sharpshooter Deagle: stun multiplier reduced from 3 to 1
- Weapon for sharpshooter MK23: interval between shots decreased from 0.4 to 0.35
- Weapon for sharpshooter M14 EBR: off-perked decapitation bonus increased from 0.5 to 0.75
- Weapon for sharpshooter L85A2: off-perked decapitation bonus increased from 0.5 to 0.75
### Fixed
- Fixed some of the log-spam related to a reaper ability

## [Version 0.2.63 "Maintenance update"] - 07.03.2019
### Changed
- Weapon for sharpshooter Glock-17: weight decreased from 2 to 1 (for dual from 4 to 2), damage decreased from 55 to 35, interval between shots decreased from 0.4 to 0.175, perked decapitation bonus decreased from 1.0 to 0.5, head-shot damage multiplier decreased from 1.2 to 1.1, max ammo increased from 72 to 180, initial ammo increased from 18 to 45
- Weapon for sharpshooter Magnum 44: weight decreased from 2 to 1 (for dual from 4 to 2), damage decreased from 85 to 61, head-shot multiplier decreased from 1.2 to 1.1, interval between shots decreased from 0.3 to 0.25, stun multiplier increased from 2.5 to 6.0, flinch multiplier increased from 1.5 to 2.5, reload time decreased from about 2 seconds to about 1.3 (for dual from 2.6 to 2.2), max ammo increased from 60 to 120
- Weapon for sharpshooter MK23: weight decreased from 3 to 2 (for dual from 6 to 4), head-shot multiplier decreased from 2.25 to 1.5, interval between shots decreased from 0.5 to 0.4, flinch multiplier raised from 1.0 to 2.0, max ammo increased from 72 to 144, initial ammo increased from 36 to 72
- Weapon for sharpshooter Deagle: weight decreased from 3 to 2 (for dual from 6 to 4), damage decreased from 120 to 105, stun multiplier increased from 1.0 to 3.0, perked decapitation mod lowered from 1.0 to 0.75
- Weapon for sharpshooter Contender: weight decreased from 5 to 3, damage increased from 125 to 156, head-shot multiplier increased from 2.25 to 2.5, max penetrations reduced from 3 to 0, stun multiplier increased from 1.0 to 1.5, max ammo reduced from 80 to 40, initial ammo amount reduced from 20 to 10
### Fixed
- Fixed mean stalkers not attacking players

## [Version 0.2.62 "Rushed patch v24"] - 28.02.2019
### Added
- Prototype for active abilities system
### Changed
- Sharpshooter and gunslinger were merged into a single sharpshooter perk with reworked skills
- Weapons for commando M14 EBR and L85A2 lost their status as cross--perk weapons for sharpshooter (which now only affects decapitations)
- Weapon for commando bullpup: max ammo increased from 180 to 240
- Weapons for commando AK47 and AK12: max ammo increased from 240 to 270
- Restored body destruction bonus removed (as undocumented change) in patch 0.2.60 for all HMG's weapons except Steyr AUG A1 and M249
- Weapon for sharpshooter Beretta: interval between shots decreased from 0.3 to 0.25
- For testing purposes sharpshooter temporarily has 50% discount to all weapons and his perk bonuses apply to all weapons
### Notes:
Patch is intended to test newly added sharpshooter's active abilities and how well M14 EBR functions as an off-perk weapon.
As a consequence it has some especially severe imbalance issues with commando rifles being overpowered in sharpshooter's arms.
More than that, pistols' stats weren't altered to account for migration from previous gunslinger perk to sharpshooter.

## [Version 0.2.61 "hotfix"] - 08.01.2019
### Fixed
- Husks are not invincible

## [Version 0.2.60 "freeze-related adjustments"] - 08.01.2019
### Changed
- Husks now try to maintain a constant temperature of 50
- Ice DoT increased by 150%
- Cryo grenade duration decreased from 5 seconds to 3, while preserving total freezing power
- Scrake's and Jason's ice crust accumulation rate decreased from 0.025 to 0.01
- Zed that die while frozen will now remain as ice statues
- Zeds will now sometimes attack other low-health zeds
- Shivers' base health lowered from 650 to 350
- Shivers can't teleport while stunned
- Shivers won't run if they're more than 30 meters away from their target
### Fixed
- Grenades now properly deal damage
- Zeds now properly deal damage to each other
- Raged fleshpounds now properly destroy zeds they bump into
- Reload can't be triggered when all ammunition is already loaded into the gun

## [Version 0.2.59 "Winter is here"] - 21.12.2018
### Added
- Introduced first draft of the freezing mechanic along with freeze nades
### Changed
- Removed melee backstabs
- Secondary melee targets are now always hit by half a normal damage, instead of old scaling based on angle
- Cooldown time between firing no longer prevents player from throwing grenades
- Heavy machinegunner's grenades swapped for freeze grenades
### Fixed
- Melee invincibility can no longer trigger from non-decapitating melee headshot by non-berserkers
### Known bugs and issues
- Commando's skill 'Evisceration' doesn't do anything

## [Version 0.2.58 "Fixing what got broken"] - 14.12.2018
### Changed
- Weapon for gunslinger Beretta: max ammo reduced from 240 to 150, interval between shots increased from 0.2 to 0.3, doesn't get improved perked decapitation bonus
- Weapon for gunslinger Magnum 44: max ammo increased from 48 to 60, starting ammo increased from 24 to 30
- Enforcer's weapons now always drop zeds
- Heavy machinegunner's weapons (except L85A2) don't get improved perked decapitation bonus
- Sharpshooter no longer passively deals 30% more damage while standing still
- Sharpshooter's skill 'Talent': still grants lost passive 30% damage bonus
- Sharpshooter's skill 'Hard work': doesn't grant previous sharpshooter's 30% damage bonus, now grants 30% fire rate bonus, 50% reload bonus (independent of standing still), 50% recoil reduction; still grants zooming speed bonuses and further zoom distance while crouching
### Fixed
- Hunting rifle not having it's fire animation properly sped up after last fire rate increase
- Demolition's explosives now add proper momentum to zeds and actually use two different points for damage calculations
### Known bugs and issues
- Medic's skill 'Injection' doesn't do anything

## [Version 0.2.57 "Balance round 12: decapitation"] - 01.11.2018
### Added
- Added indicator of how much safe misses player still has before melee invincibility would be reset
### Changed
- Decapitation mechanics reworked: now most perked weapons always auto-drop zeds, most off-perk ones always don't, decapitation damage bonus no longer depends on damage multipliers, 'decapDamageMultiplier' is deprecated and was replaced
- Perks enforcer, commando, heavy machinegunner: no longer receive bonus damage for their perk weapons, their weapons' damage is increased by 25% instead (M14 EBR's base damage is increased by 50%)
- Sharpshooter no longer gains additional 25% head-shot damage with all weapons, damage bonus for his perked weapons decreased from 50% to 25%, deals 30% more damage while standing still, his weapons now deal 50% more base damage
- Sharpshooter's skill 'Talent': grants sharpshooter's new passive 30% bonus even while not standing still instead of giving a new bonus
- Sharpshooter's skill 'Kill confirmed': max stacks lowered from 2 to 1, gains stack after 1 second (independently from weapon's fire rate), no longer affects decapitation
- Cost of off-perk non-melee weapons is cut by half, perk discount bonus is decreased from 75% to 50%
- Weapon for sharpshooter Mauler: stun multiplier decreased from 1.5 to 1.25
- Weapon for sharpshooter VSSD (Vintorez): weight increased from 6 to 7
- Weapon for sharpshooter Hunting Rifle: delay between shots decreased from 1.1875 to 0.7
- Commando no longer sees health bars or invisible zeds by default and needs a skill 'Strategist' for that
- Commando's skill 'Trash cleaner': now limits decapitation damage multiplier, causing perked weapons to leave decapitated zeds behind
- Berserker now has passive that increases melee invincibility to 3 seconds from default 2 seconds
- Berserker's skill 'Colossus' now grants 1 additional second of invincibility instead of doubling the duration
- Berserker's skill 'Gunzerker' now only penalizes you for 2 seconds instead of 5
### Known bugs and issues
- Demolition's skill 'AP shot' doesn't do anything

## [Version 0.2.56 "Buffing berserker"] - 29.10.2018
### Added
- Added bars that display status of melee-invincibility
### Changed
- Berserker no longer loses melee invincibility after first miss
- Berserker's skill 'Undead' now grants additional melee safe melee miss
### Fixed
- Fixed some skill descriptions
- Fixed issue with cooldown of Commando's skill 'Critical focus' interfering with another skill 'Perfect execution'

## [Version 0.2.55 "gunslinger/commando balance tweaks"] - 07.09.2018
### Changed
- Commando's passive bonus now gives 3 additional zed-time extensions instead of 1
- Commando's skill 'Tactician' now grants only 2 zed-time extensions instead of 4
- Commando's skill 'Perfect execution' should trigger more reliably
- Weapon for gunslinger Magnum 44: max ammo reduced from 96 to 48
- Weapon for gunslinger Glock: max ammo reduced from 144 to 72
- Weapon for gunslinger MK23: max ammo reduced from 96 to 72
- Weapon for gunslinger Deagle: max ammo reduced from 96 to 72
- Bleeding now should stop after dealing tick that deals no damage
### Fixed
- Reduced spam in log file

## [Version 0.2.54 "back in business"] - 19.07.2018
### Fixed
- Some incompatibilities with ScrN
- Issues with assets files

## [Version 0.2.53 "v24 i'm an idiot"] - 14.01.2017
### Changed
- Sharpshooter's skill 'Skull cracker': no longer triggers from secondary damage by 'Talent' skill, distance it acts in decreased from 500 to 250, head-shot penalty increased (from 0.85 multiplier to 0.75)
### Fixed
- 'Skull cracker' skill now checks correct zed and correct max head health value for sufficient head health, can no longer damage zeds through walls
- Fixed issue with 'Kill confirmed' not applying it's effects when overall lockon time was less than 0.5

## [Version 0.2.52 "M99 adjustment"] - 11.01.2017
### Changed
- Sharpshooter's skill 'Skull cracker': now deals damage only if target has at least 75% of it's head health, siren and bloat are now also able of generating secondary damage (up to 35.0, same as gorefast)
- Sharpshooter's skill 'Kill confirmed': stack is now limited by 2
- Weapon for sharpshooter M99: head-shot damage multiplier decreased from 4.0 to 2.1
### Fixed
- Fleshpounds rage from seeing players long enough again

## [Version 0.2.51 "A bunch more of small adjustments"] - 07.01.2017
### Changed
- Made corrections to telsa husk's head hitbox
- Removed brute's target switching after dealing damage
- Skill 'Full blast' for demolition: radius now increases by 35% instead of 50%
- Commando's skill 'Perfect execution': now triggers sooner with fleshpounds - the moment they start raging
- Weapon for sharpshooter M99: lock-on time requirement removed

## [Version 0.2.50 "More small updates"] - 15.12.2016
### Changed
- Nice gorefast's charge chance no longer depends on difficulty
- Mean gorefast no longer can be stunned
- Mean stalker's bleeding damage is now independent from difficulty
- Husk's fire interval made independent of difficulty
- Fleshpound's time in raged state is now independent from difficulty
- Scrake's rage rules now don't depend on difficulty
- Bloat's charge chance no longer depends on difficulty
- Jason's rage and untun rules no longer depend on difficulty
- Zeds will no longer try to attack tesla husks
- Swapped places for berserker's 'Accelerate' and 'Unbreakable' skills
- Sharpshooter's skill 'Skull cracker': fragment damage now only applicable to lesser zeds than your target and can deal at most 50% of the original damage
- Sharpshooter's skill 'Kill confirmed': stack will now accumulate at different speed for each weapon, depending on it's fire rate
- Decreased burst slowdown modifier for all weapons from 1.5 to 1.3
- Weapon for enforcer Hunting shotgun: increased reload rate from 0.9 to 1.1
- Weapon for gunslinger 9mm: increased decapitation multiplier from 1.1 to 1.5
### Fixed
- Skill 'Skull cracker' now has a correct, lower, distance of effect
- Made speed-up during zed-time with 'Accelerate' skill a bit less stupid
- Melee attack animations with 'Accelerate' berserker skill now should play at correct speed
- Some previously ommited damage values now scale according to the new rules (damage increases only when transitioning from hard to suicidal)
- SCAR now has semi-auto mode instead of the burst one

## [Version 0.2.49 "No, not yet that big update"] - 11.12.2016
### Changed
- Renamed game types + changed their descriptions
- Zeds now have fixed health for all difficulties, their speed is now unchanged everywhere but on HoE (they're 30% faster), their damage is increased by 25% (compared to normal) below HoE and suicidal and by 75% there
- Increased a radius at which siren can destroy explosives from 25% of her scream radius to 75%
- Brutes are now enraged when they've spawned
- Removed brute's additional head scaling
- Increased angle at which brute's head can be hit
- Removed remaining resistances from brute's head
- Patriarch's base health increased from 4000 to 8000
- Enforcer's skill 'Pinpoint' was merged into 'Bombard' skill
- New lvl1 skill 'Graze' is added for enforcer
- Burst fire was removed from all assault rifles except ak47, ak12, mkb42, which have lost semi-auto fire mode
- All assault rifles now shoot 2.5 faster during zed-time, except bullpup which shoots 5 times faster (real time speed)
- Commando's skills 'Perfect execution' and 'Trash cleaner' have swapped places
- Overhauled sharpshooter skills
- Weapon for commando Mkb42: fire rate increased from 0.2 to 0.15, auto-fire mode returned
- Weapon for enforcer Vlad the Impaler: lowered max ammo from 420 to 210
- Weapon for sharpshooter Winchester: damage decreased from 136 to 130
- Weapon for sharpshooter Mauler: damage decreased from 90 to 82
- Weapon for sharpshooter Hunting rifle: damage decreased from 250 to 200, stun multiplier increased from 1.0 to 1.5
- Weapon for sharpshooter SVD: damage decreased from 140 to 120, precision requirements lowered from 0.65 to 0.4
- Weapon for sharpshooter M99: precision requirements lowered from 0.65 to 0.4
### Fixed
- 'Thin out' commando skill should no longer work almost all the time (distance check was way too generous before)
- M4 203 now should be considered cross-perk for commando
- MAC 10 should now be considered cross-perk for sharpshooter

## [Version 0.2.48 "hotfix"] - 14.11.2016
### Changed
- Reload of attached grenade launcher for M4203 can now be cancelled to perform regular reload just by issuing a reload command
### Fixed
- M14 EBR and L85A2 now actually give exp to commando instead of sharpshooter and get 2.0 decapitation bonus

## [Version 0.2.47 "Gunslinger patching"] - 13.11.2016
### Changed
- Jason can no longer be stunned
- Miniflinch check for Jasons is now 1.5 times easier
- Decresed time period after damage before which Jason starts to regenerate from 10 to 5 seconds
- Skill 'Symbiotic health' for Field medic now restores 25% of player's health instead of 10%
- Decap damage multiplier for all commando weapons raised to 2.0
- Weapon for Field medic MP7M Medic Gun: decreased syringe recharge rate from 10 to 7
- Weapon for Field medic MP5M Medic Gun: reload speed increasedby 25% (reload time decreased from 3.8 seconds to 3.04)
- Weapon for Field medic KRISS Vector Medic Gun: increased syringe recharge rate from 10 to 20, decap damage multiplier increased from 1 to 2.0
- Removed excessive logging
### Fixed
- Fixed issue with other players being unable to pickup dropped pistols
- Fixed issue with gunslinger's weapons not shooting after swaps sometimes

## [Version 0.2.46 "Bug hunting update"] - 11.11.2016
### Changed
- Added debug lines to cover code that prevents dual guns from firing sometimes
- Medic skill 'Injection' no longer gives a health boostupon activation
- Skill 'Full blast' for demolitionist: radius now increases by 50% instead of 100%
- Weapon for Field Medic MP7M: pickup ammo increased from 20 to 40
- Weapon for demolition SealSqueal Harpoon Bomber: explosion radius reduced from 400 to 200, amx ammo decreased from 30 to 24, initial ammo decreased from 15 to 6
### Fixed
- Demo now receives damage from his own explosives

## [Version 0.2.45 "ammo nerfs"] - 08.11.2016
### Changed
- Reduced z-axis falldown acceleration for nails from -1200 to -300
- Weapon for commando Bullpup: max ammo reduced from 360 to 180, initial ammo reduced from 90 to 45
- Weapon for commando M4: max ammo reduced from 360 to 180, initial ammo reduced from 90 to 45
- Weapon for commando AK47: max ammo reduced from 360 to 240, initial ammo reduced from 90 to 60
- Weapon for commando AK12: max ammo reduced from 360 to 240, initial ammo reduced from 90 to 60
- Weapon for commando Mkb42: max ammo reduced from 270 to 240
- Weapon for commando FNFAL: max ammo reduced from 240 to 180, initial ammo reduced from 60 to 45
- Weapon for commando SCAR: max ammo reduced from 240 to 180, initial ammo reduced from 60 to 45
- Weapon for Heavy machine gunner XMV850: max ammo reduced from 640 to 320, initial ammo from 160 to 80
- Weapon for Heavy machine gunner RPK: max ammo reduced from 300 to 250, initial ammo from 75 to 50
### Fixed
- Fixed issues with medic and berserker having far better discounts than they were supposed to have

## [Version 0.2.44 "Balance round 11"] - 28.10.2016
### Changed
- All melee weapons now has their damage cut by 25% against fleshpounds
- If player has missed zed's head with a melee weapon, only it's decapitation will extend melee-invincibility
- Minimal explosion distance for demo explosives lowered by 1/6th
- Fleshpound's resistances exception now requires damage to be less than 35 (instead of 45)
- Field Medic now has 50% discount on all weapons
- Berserker's discount on melee weapons now reduced from 75% to 50%
- Zeds now deal x5 damage to each other instead of x10
- No zed will ever attempt to attack a fleshpound now, unless attacked first
- Players can no longer activate medic's Injection skillnear openable doors or in the trader
- Now damage from medic's drug withdrawal (Injection skill) won't produce damage sounds at high enough health
- Medic's skill Regeneration now regenerates 2 health points per seconds instead of 1
- Weapon for Berserker Machete: cost lowered from 200 to 100
- Weapon for Berserker Axe: cost lowered from 1000 to 500
- Weapon for Berserker Katana: cost lowered from 2000 to 1500
- Weapon for Berserker Claymore Sword: cost lowered from 4000 to 2000
- Weapon for Demolition LAW: explosion damage decreased from 2000 to 1600, blunt damage decreased from 850 to 750
### Fixed
- Altered recoil parameters for KRISS Vector ans M7A3 to reduce inconsistencies between clients

## [Version 0.2.43 "You call that a medic?"] - 23.10.2016
### Changed
- Converted medic and added a skill system for him
- Pistols now have normal shot speed even during zed-time and can fire immidiately after enterin zed-time
- Medic darts now cure their target from poison and bleeding
- Active reload speed multiplier for medic guns decreased from 3x to 2x
- All weapons are now capable of active reload for a 15% increase (or decrease on fail) in reload speed (KSG and medic guns have their own speed multipliers)
- Removed 1.25 head size multiplier for melee weapons
- Changed how scrake's stun animation behaves on restun
- Fleshpound's resistances are no longer applied for low damage attacks (<=45)
### Fixed
- Fixed china launcher attachment appearing invisible
- 'GetHeadshotCheckMultiplier' veterancy function now works again
- Fixed siren dealing scream damage while headless or stunned
### Known bugs and issues
- Siren still spawns screaming effects after death, while stunned and while headless

## [Version 0.2.42 "hotfix"] - 10.10.2016
### Fixed
- Removed message spam

## [Version 0.2.41 "First aid update #3"] - 10.10.2016
### Changed
- Converted and hugely altered parameters for medic weapons MP7M and M7A3M
### Fixed
- Reduced some lags
- Fixed projectiles being stopped by other players' pawns

## [Version 0.2.40 "First aid update #2"] - 07.10.2016
### Fixed
- Attempted fix of lags upon leaving zed-time even more

## [Version 0.2.39 "First aid update"] - 07.10.2016
### Changed
- Converted and hugely altered parameters for medic weapons MP5M and Kriss Vector
### Fixed
- Attempted fix of lags upon leaving zed-time
- Attempted fix to crashes caused by tesla husk dying to 'Reactive armor' skill

## [Version 0.2.38 "Balance round 10"] - 02.09.2016
### Changed
- Berserker's skill set overhaul
- Skill 'Playful' for gunslinger: now grants additional fire speed instead of reload speed
- Skill 'Close and personal' for gunslinger: multiplier for incoming damage against player decreased from 2.0 to 1.5
- Skill 'Offperk' for demolitions now affects all weapons that have weight <=4, reload bonus lowered from 50% to 2%5 and 25% damage bonus added
- Skill 'Stable position' for Heavy Machinegunner: accumulate stack twice as fast
- Projectiles of M79, M32 and China Launcher now can be destroyed by a siren's scream
### Fixed
- Removed wide angle attacks from katana's primary and axe's alt fires

## [Version 0.2.37 "Berserker: first draft"] - 31.08.2016
### Added
- Melee-invincibility system that allows players to gain temporary invulnerability by melee-decaping zeds
### Changed
- Rebalanced berserker's bonus and gave him a skill set
- Converted to client-side knife, machete, katana, axe, claymore
- Converted melee weapons now bypass fleshpound's resistances
- Weapon for berserk Axe: head-shot damage multiplier increased from 1.25 to 1.3
- Weapon for berserk Katana: head-shot damage multiplier increased from 1.1 to 1.3
- Weapon for berserker Claymore: head-shot damage multiplier increased from 1.1 to 1.5
### Known bugs and issues
- 'Accelerate' skill doesn't work properly

## [Version 0.2.36 "hotfix"] - 30.08.2016
### Changed
- Mean scrakes and Jasons can no longer be un-stunned by damage withing first 0.1 of a second after a re-stun
- Weapon for demolition and commando M4 203: lowered grenade cost from 400 to 40, lowered ammo cost from 40 to 20 (also affects M4 Assault rifle)
- Weapon for demolition LAW: lowered weight from 12 to 9
### Fixed
- Fixed issue with incorrect head-shot detection for 'Kill confirmed' skill and converted melee weapons
- Fixed bug that prevented players with 'Alt fire switches modes' option enabled to fire grenades from M4 203
- Attempted to fix 'Maniac' skill sometimes not triggering
- Fixed mildly excessive log-spam
- Fixed converted melee weapons decreasing pawn's speed and having recoil occasionally

## [Version 0.2.35 "Demo update"] - 29.08.2016
### Changed
- Converted demo and rebalanced his weapons
- Weapon for demolitions M79: cost decreased from 1250 to 1000
### Known bugs and issues
- 'Reactive armor' skill activation doesn't generate any explosion effects

## [Version 0.2.34 "On the way to demo"] - 27.08.2016
### Added
- Support for different clips and bullets icons for converted weapons
- Support for secondary (and distinct, with own ammo) fire mode to converted weapons
### Changed
- Converted M79's explosives can now deal double damage to zeds if they hit them high enough
- Converted M4M203 and M41A to client-side
- Removed recoil from 9mm
### Fixed
- Fixed Mean husk's shots giving players double momentum
- Attempted to fix the bug that caused commando rifle to reload twice in a row after a zed-time

## [Version 0.2.33 "Balance round 9"] - 25.08.2016
### Added
- Config setting to hide ScrN settings menu 'bShowScrnMenu'
### Changed
- Mean Husk's projectiles now has a 25% explosive component
- Skill 'Nanobots' for Heavy machine gunner replaced by a new skill 'Stable position' and swapped places with 'Determination'
- Skill 'Full counter' for Heavy machine gunner now maxes out it's charge upon selection and wave start
- Skill 'Surgical precision' now doesn't reduce damage on head-shot and gives 75% (instead of 50%) boost to precision, but requires player to crouch
- Skill 'Messy decapitation' for Sharpshooter: damage bonus against decapped zeds increased from 75% to 100%
- Skill 'Thin out' for commando: now also gives additional damage when there's a huge (over 1000 base health) nearby, even if it isn't the same type
- Weapon for sharpshooter 9mm: decapitation damage multiplier increase from 1.0 to 1.1
### Fixed
- Differences between visible hit and explosion sites fixed for husk's projectiles

## [Version 0.2.32 "Stunning update"] - 18.08.2016
### Added
- New stun system for zeds, that allows for a variable stun length
- System for displaying counters marked by the icon and option to display counters for several existing skills
- Simple system for displaying progress bars for weapon classes, currently used by 'Ardour' and 'Multitasker' skills
### Changed
- Husk's stun time reduced by half in case it was stunned from a body-shot
- Skill for sharpshooter 'Kill confirmed' now gains stacks twice as fast and at linear pace (+100% damage per tick)
- Skill for commando 'Professionalism' now better synced with time slowdowns
- Weapon for sharpshooter VSSD (Vintorez): head-shot damage multiplier increased from 1.45 to 1.49, damage changed to 170, recoil reduced by a factor of 4, stun multiplier reduced from 1 to 0.5
- Weapon for sharpshooter Mauler: damage changed to 90, head-shot damage multiplier changed to 4, stun multiplier changed to 1.5, decap damage multiplier changed to 4
### Fixed
- Attempted to fix slowrage of gorefasts

## [Version 0.2.31 "hotfix"] - 08.08.2016
### Added
- HL additional bonuses for completing game either solo or with two players
### Changed
- Precision head-shot requirement for all weapons except SVD and M99 increased from 0.65 to 0.75
- SVD melee distance increased from 70 to 90
- Weapon for gunslinger Glock: dual mode now allows autofire
- Weapon for gunslinger Deagle: time between shots decreased from 0.6 to 0.5
- Weapon for gunslinger Taurus Raging Judge: time between shots increased from 0.6 to 0.65
### Fixed
- Fixed some issues with commando weapons being stuck after fire mode change

## [Version 0.2.30 "hotfix"] - 03.08.2016
### Changed
- Further reduced ammo costs for pistols
- Disabled ScrN's zed aggro system
- Lowered Brute's base head health from 250 to 180
### Fixed
- Lowered single Beretta's weight back to 0
- Removed some left-over spam into players' chat and server's log
- Fixed some issues that caused dead zeds to be treated like walls
### Known bugs and issues
- Players are still prevented from picking up dropped pistol from a dual pair if the other player still holds another gun from pair

## [Version 0.2.29 "gitgud update part 2"] - 02.08.2016
### Added
- 'tracesPerTickLimit' setting that allows to limit amount of ticks per second that are allowed to compute trajectories of other players
- 'effectsLimitSoft' and 'effectsLimitHard' settings that allow to limit amount of effects generated by projectiles
- New client-side system for detecting when projectiles cross siren's scream
- New 'NiceBullet' projectile class, that is intended to replace both tracing and old projectiles ('NiceProjectile' class)
- Base set of classes for client-side melee weapons
- Round-in-chamber functionality for all magazine-based weapons
- Lock-on mechanic that allows changing outcome of a shot after aiming at zed's head for some time
- Added 'finisher' property to weapon's damage type that forces double damage on target if it would die from that
### Changed
- Removed obsolete options to choose between client- and server-side hit detection, head sizes for zeds and projectile forcing
- NiceWeaponManagement now leaves empty weapons on their regular selectors
- Reworked skills for all the perks to a varying degree
- Decreased gorefast's head scale from 1.8 to 1.6
- All zeds are now affected by angled shots
- Lowered Brute's base head health from 320 to 250, removed rage from timer
- Increased Mean bloat's base head health from 25 to 125
- Mean siren's base health decreased from 300 to 240, scream damage was raised from 8 to 10
- Mean fleshpound's additional resistances from SVDS, SVD and VSSD (Vintorez) removed, additional scale removed
- Sharpshooter no longer has passive requirement to stay still to deal perk damage and no longer has any bonus for recoil dampening
- All former sharpshooter weapons had their recoil decreased by half
- Shotguns' default head-shot damage multiplier reduced from 1.65 to 1.5
- All shotguns except for Hunting shotgun had their decapitation damage multiplier raised from 1.0 to 1.5
- Commando's perk damage bonus decreased from 50% to 25%
- Heavy machine gunner's damage bonus decreased from 50% to 25%, damage of all his weapons increased by 20%
- Weapon for support Pump shotgun: weight reduced from 7 to 6, damage increased from 35 to 45
- Weapon for support Benelli shotgun: damage increased from 35 to 45
- Weapon for support Vlad the Impaler: damage increased from 40 to 52
- Weapon for support Hunting shotgun: damage increased from 50 to 64, decapitation damage multiplier raised from 1.0 to 1.2, reworked reload timings and reload cancellation behavior
- Weapon for support AA12 shotgun: damage increased from 30 to 38
- Weapon for support Spas-12:, damage increased from 35 to 45
- Weapon for support KSG: active reload added
- Weapon for commando Bullpup: damage increased from 40 to 48
- Weapon for commando M4: raised total ammo amount from 180 to 360, raised initial ammo amount from 45 to 90, damage raised from 46 to 55
- Weapon for commando AK12: damage increased from 45 to 54
- Weapon for commando AK47: damage increased from 40 to 48
- Weapon for commando FNFAL: increased RPM from 400 to 600, damage increased from 46 to 53
- Weapon for commando Mkb42: increased decapitation multiplier from 1.0 to 1.5, damage increased from 66 to 79
- Weapon for commando SCAR: increased decapitation multiplier from 1.0 to 1.5, damage increased from 49 to 59
- Weapon for sharpshooter Winchester: damage decreased from 140 to 136, stun multiplier increased from 1.0 to 1.5, decap damage multiplier increased from 1.0 to 2.0
- Weapon for sharpshooter L85A2: magazine size increased from 15 to 30, head-shot damage multiplier increased from 1.25 to 1.4, decap damage multiplier increased from 1.0 to 1.25, moved to commando's perk (remains crossperk for sharpshooter)
- Weapon for sharpshooter M14 EBR: moved to commando's perk (remains crossperk for sharpshooter)
- Weapon for sharpshooter VSSD (Vintorez): head-shot damage multiplier reduced from 2.2 to 1.45, damage increased from 125 to 170, decap damage multiplier reduced from 1.0 to 0.7
- Weapon for sharpshooter SVD: head-shot multiplier increased from 3.3 to 4.2, weight decreased from 10 to 8, damage decreased from 160 to 140, requires precise head-shot to gain head-shot multiplier
- Weapon for sharpshooter M99: head-shot multiplier increased from 2.25 to 4.0, weight decreased from 12 to 10, but gaining head-shot multiplier now requires 1 second lock-on to a target and a precise head-shot, auto reload can only be safely skipped on patriarch now
- Weapon for gunslinger Magnum 44: stun multiplier increased from 1.0 to 1.5
- Weapon for gunslinger MK23: decapitation multiplier increased from 1.0 to 2.1
- Weapon for gunslinger Taurus Raging Judge: removed knockback, added finisher property, reload speed increased by 20%, head-shot multiplier decreased from 1.5 to 1.4, max ammo decreased from 80 to 60
- Weapon for gunslinger Thompson G2 Contender: now can penetrate up to 3 targets
- Pistols' fire rates and ammo prices reworked
### Fixed
- Fixed issues with killing blow to sirens
- Fixed lack of model for Beretta in dual mode
- Fixed issue that caused medic to run faster with syringe equipped
- Fixed some problems with third person effects spawning at incorrect location when using dualies
- Fixed some issues with invisible guns
- Fixed some issues with incorrect amount of lasers in 3rd mode view
- Reversed a change that might have caused a bug that prevented players from shooting during siren screaming
- Fixed bug that prevented other players from picking up dropped dual pistols
- Fixed patriarch not running to heal after he's dealt damage from client-side weapons
- Fixed bug that allowed to reload dual pistols from a full magazines with increased magazine bonuses
- Fixed decaped head craziness in low gore mode
- Switching to another single pistol (with ammo) in dual pair now works with ScrN's 'Manual reload' setting enabled
### Known bugs and issues
- Client-side projectiles won't affect other players and bots
- 'RecentlyPlayedWith' record is broken

## [Version 0.2.28 "hotfix"] - 17.02.2016
### Fixed
- Gunslinger now able to select syringe and welder by default with nice weapon management

## [Version 0.2.27 "gitgud update part 1"] - 17.02.2016
### Added
- New dual pistols system that allows switching to single pistol mode and back
- 'SwitchDualies' exec command for switching between dual and single pistols
- 'SwitchToOtherSingle' exec command for switching between two single versions of dual pistol pair
- 'FireLeftGun' and 'FireRightGun' exec commands for firing left and right pistols respectively
### Changed
- Nice weapon management enabled by default and by default adds weapon group for gunslinger
- Base (offperk) melee speed bonus removed
- Brutes no longer hurt zeds when bumping into them during rage
- Brutes no longer receive bonus damage from gunslinger and commando
- Required headshot multiplier for husk stun decreased from 1.5 to 1.2
- Now player's pawn speed depends on the weight of the weapon it's carrying (+-2.5% speed per 1 weight, being normal at 8 weight units)
- Weapon for sharpshooter Hunting rifles (and one-shot weapons) will now leave iron-sights after each shot
- Removed flashlight functionality from converted weapons, disabled standard behavior for 'ToggleFlashlight' command, removed 'Disable flashlight' setting and 'NOFLASHLIGHT' mutate command
- Changed how tracers work with client-side hit detection
- Max ammo for single pistols and their dual variant is now the same
- Gunslinger now receives a different set of passive bonuses
- Recoil for all pistols reduced by 75%, except for Desert Eagle (50% recoil reduction)
- New weapons for gunslinger were added: Beretta +P+, Glock 17, Taurus Raging Judge, Thompson G2 Contender
- Max ammo for all pistols, except 9mm, Glock, Taurus Raging Judge and Thompson G2 Contender, changed to 96
- Weapons for gunslinger 9mm and dual 9mm: renamed into Beretta, initial ammo decreased to 60, marked as a backup
- Weapons for gunslinger Magnum 44 and Dual Magnum 44: cost increased from 450 to 1000, reload speed increased by 25%, doesn't lose almost any damage from penetrating trash, flinch multiplier increased from 1.0 to 1.5, gives more kickback for ragdolls, ammo cost raised from 13 to 25
- Weapons for gunslinger Desert Eagle and Dual Desert Eagle: cost raised to 1500, restored original reload speed, damage raised to 120, gives more kickback for ragdolls, ammo cost raised from 15 to 45
- Weapons for gunslinger MK23 and Dual MK23: ammo cost raised from 16 to 65
- Weapon for gunslinger Colt Python: damage lowered from 350 to 175, head-shot modifier raised from 1.15 to 1.3, shotgun blast added to main fire, ammo cost raised from 30 to 40
### Fixed
- Fixed issue that caused incorrect sorting order for weapons in Nice Weapon Management
- Fixed issue that caused dropped assault rifles to not save changes in fire modes
- Fixed issue with incorrect recoil rate
- 9mm now belongs to appropriate perk category
- 'GetWeapon' command now can switch to desired weapon even if pawn hold empty ('none') weapon
- Fixed incorrect hit effects from hit scan weapons when using client-side hit detection

## [Version 0.2.26 "Weapon management update"] - 25.01.2016
### Changed
- 'GetWeapon' command now allows to select empty weapons
- How nice weapons management stores user settings have been changed
- All weapon groups now support auto addition of weapons based on their corresponding perk and inventory group
- Added a setting to weapon presets that allows to choose perked weapons first
- Default preset will respect ScrN's 'Perked weapons first' setting
### Fixed
- Dead player really should be able to spectate zeds

## [Version 0.2.25 "Balance round 8 + basic GUI"] - 24.01.2016
### Added
- Basic settings menu
### Changed
- Now dead players should be able to spectate zeds
- Skill for Support 'Bore' doesn't increase nails' damage after a wall bounce
- Skill for Sharpshooter 'Devastating fire' damage bonus reduced from 2 to 1.5
- Skill for Sharpshooter 'Shooting gallery' damage bonus reduced from 3 to 2, but it's applied for damage values below 250, instead of below 220
- Skills for HMG 'Coating' and 'Insulation' merged into a single skill 'Coating' that now combines their bonuses and are placed at level 4's left branch
- Skill for HMG 'Safeguard' moved to level 4's right branch
- Skill for HMG 'Toughness' was discarded and it's place was taken by old skill 'Full counter'
- Skill for HMG 'Full counter' now takes 15 seconds to restore each layer
- Two new level 2 skills introduced for HMG: 'Duck and cover' and 'Determination'
### Fixed
- Fixed robot gore
- Fixed issues with incorrectly initial setup of fire modes for assault rifles
- Commando skill 'Explosive power' now also works when you shoot projectiles

## [Version 0.2.24 "Bug fix update + weapon management test version"] - 22.01.2016
### Added
- Experimental weapon switching system that can be enabled with 'NICEWEAPMANAGE ON/OFF' mutate command
### Changed
- Game won't terminate when all players leave during lobby
- Weapons now remember their laser/burst settings when dropped
### Fixed
- Nice Patriarch can't be stunned anymore
- Melee weapons will cut head off instead of exploding it
- Stunning zeds will prevent them from attacking you
- Sharpshooter skill 'Shooting gallery' now should only apply to shots that deal below 220 damage

## [Version 0.2.23 "Hotfix"] - 18.01.2016
### Fixed
- Fixed lack on perked damage for fire-based weapons
- Fixed lack of head-shots for purely fire damage types
- Fixed Nailgun restarting a reload by pressing alt-fire

## [Version 0.2.22 "Hotfix"] - 17.01.2016
### Changed
- Weapon for support Multichamber ZED Thrower: fire rate doubled
- Messages about hardcore level are disabled by default
- Support skill 'Cautious': delayed grenades persist 5 seconds instead of 10
- Support skill 'Obsessive': reload speed bonus decreased from 50% to 35%
### Fixed
- Fixed bug that caused low decapitation damage
- Scrake should be stunnable after a long flinch
- Commando skill 'Evisceration' now only affects commando

## [Version 0.2.21 "Nerf round 7"] - 16.01.2016
### Changed
- Mean Scrake can be flinched on melee body-shot with flinch score greater than 250
- Skill for Support 'Repairman' can only grant up to 50 total armor from ammo boxes, armor effectiveness bonus lowered from 20% to 15%
- Heavy machinegunner no longer receives passive immunity to siren's pull
- Skill for HMG 'Unstoppable': speed penalty increased from 10% to 20%, but it grants immunity to siren's pull
- Skill for HMG 'Nanobots' will only attempt to restore 50% of damaged armor instead of 75%
- Skill for HMG 'Full counter' now has 5 layers, each allows to fully block weak attack from small enough zeds (<20 damage, less than 1500 base hp); skill can only block 25% of stronger attacks and only when all layers are active; each layer has a 10 second restore time
- Bonus multiplier for shooting in bursts now applies only on head-shots
- Bonus multiplier for shooting in bursts for all weapons reduced from 1.35 to 1.2, except RPK-47 for which it was increased to 1.4
- SPAM-type HMG's weapon are capable of doing head-shots with head multiplier 1.1 and body destruction bonus 1.0
- Weapon for HMG Heavy Tommy Gun: damage raised from 52 to 60, head-shot modifier raised from 1.0 to 1.1, ammo cost raised from 24 to 30
- Weapon for HMG XMV850: ammo cost raised from 50 to 100
- Weapon for HMG RPK-47: damage lowered from 70 to 50, body destruction coefficient raised from 2 to 3, ammo cost raised from 30 to 45
- Weapon for HMG Steyr AUG A1: ammo cost raised lowered from 30 to 25
- Weapon for HMG PKM: damage lowered from 70 to 69, ammo cost raised from 60 to 160
- Weapon for HMG M249 SAW: damage lowered from 90 to 82, ammo cost raised from 130 to 250
- Weapon for HMG Stinger Minigun: ammo cost raised from 75 to 150
- Weapon for HMG Patriarch's Chaingun: ammo cost raised from 80 to 160
- Weapon for HMG M41A Pulse Rifle: mag capacity raised from 40 to 66, ammo cost raised from 20 to 60
### Fixed
- Fixed bug that allowed to shoot patriarch's head off
- Skill for HMG 'Safeguard' no longer grants player immortality
- Skill for HMG 'Nanobots' no longer grants armor if it was reduced to zero, which also led to immortality

## [Version 0.2.20 "Heavy update"] - 15.01.2016
### Added
- Skill system for heavy machinegunner added
- Body destruction mechanic that allows to increase damage to zed's body only on head-shot
- Mechanic that grants damage bonuses for firing in short bursts (introduced with Heavy Machinegunner's weapons only)
### Changed
- Active reload window decreased by 25%
- Heavy machinegunner doesn't have any recoil dampening bonus, can carry 5 instead of 6 grenades, no longer receives passive speed penalty, isn't affected by siren's pull, his bonus to magazine size lowered from 100% to 50% and applies to all converted weapons with magazines
- Heavy machinegunner now receives full slowdown from Mean crawlers
- Level requirements for new type perks made harder
- Made zeds more afraid of grenades
- Fleshpound frustration timer now fixed to 10
- Now 'use' command always open trader dialog during initial trader time and ignores other it's functions
- Burned zeds can be flinched
- Removed commando recoil dampening bonus (that was bugged and did nothing anyway)
- Redone how taking damage/stunning/flinching works internally
- Fleshpound needs to be deal at least 100 damage to be flinched
- On Hell On Earth Jason follows the same un-stun rules as a Scrake
- Made stuck animation detector harder to trigger
- Berserker now has 20% speed and resistance bonus at level 6
- Support's skill 'Scavenger' was replaced by a new skill 'Stubbornness'
- Support's skill 'Repairman' was moved to a level 2 slot and again grants bonus of 20% better armor; it was replaced at level 1 spot by a new skill 'Luck'
- Support's skill 'Shrapnel' was replaced by a new skill 'Armory'
- Support's skill 'Obsessive'  was moved to a level 4 slot, replacing 'Close and personal'; it was replaced by new skill 'Bombard'
- Support's skill 'Sound proof' was replaced by 'Cautious'
- Support's skill 'Bullet storm' replaced by a new skill with the same name
- Support's skill 'Lucky shot' replaced with buffed version of old skill 'Bore'
- Commando's skill 'Trash cleaner' no longer allows to bypass body-shot resistance of mean clot
- Weapon for support Moss 12: weight increased from 5 to 6
- Weapon for support Shotgun: weight increased from 6 to 7
- Weapon for support Multichamber ZED Thrower: weight reduced from 8 to 7
- Weapon for commando Bullpup: raised recoil by 15%
- Weapon for commando Rising Storm Tommy gun: raised recoil by 15%
- Weapon for commando AK12: doubled recoil
- Body destruction coefficient set to 2 for all Heavy Machinegunner's weapons
- All Heavy Machinegunner's weapons get bonus damage for shooting in bursts of 3 shots (x1.35 damage multiplier applies to each consecutive shot during burst and drops after that), except for XMV850, which gets bonus for bursts of 5 shots
- Head-shot damage multiplier for all Heavy Machinegunner's weapons, expect SA80 LSW and Steyr AUG A1, decreased to 1.0
- Weapon for HMG SA80 LSW: stun multiplier raised from 1.0 to 3.0, head-shot multiplier raised to 1.4, fire rate is 2 times lower, weight decreased from 8 to 6, cost raised from 750 to 2000, max ammo raised from 250 to 360, initial ammo amount decreased from 125 to 90, decreased recoil by a factor of 2.25
- Weapon for HMG Heavy Tommy Gun: damage increased from 40 to 52, magazine size decreased from 50 to 40, weight decreased from 8 to 6, cost raised from 750 to 1000, max ammo decreased from 500 to 360, initial ammo amount decreased from 250 to 90, decreased recoil by a factor of 2.25
- Weapon for HMG RPK-47: weight decreased from 10 to 8, cost raised from 1500 to 4000, magazine size increased from 40 to 50, max ammo increased from 250 to 300, initial ammo amount decreased from 200 to 75, decreased recoil by a factor of 2.25
- Weapon for HMG XMV850: weight decreased from 10 to 8, cost raised from 1500 to 3000, max ammo increased from 600 to 640, initial ammo amount decreased from 300 to 160, decreased recoil by a factor of 2
- Weapon for HMG Steyr AUG A1: head-shot modifier raised from 1.5 to 2.0, damage raised from 60 to 70, cost raised from 2000 to 4000, magazine size increased from 5 to 30, max ammo increased from 140 to 240, initial ammo decreased from 70 to 60, fire rate increased by a factor of 2.5, can use active reload
- Weapon for HMG PKM: magazine size increased from 60 to 80, weight decreased from 12 to 10, cost raised from 3500 to 4000, 5-burst fire mode added, max ammo decreased from 400 to 240, initial ammo decreased from 240 to 120, recoil decreased by a factor of 2
- Weapon for HMG M249 SAW: weight decreased from 12 to 10, cost raised from 4000 to 5000, recoil decreased by a factor of 2
- Weapon for HMG Patriarch's Chaingun: rockets now have parameters identical to HRL rockets (instead of LAW rockets), rocket fire rate doubled, cost raised from 4500 to 5000, weight lowered from 14 to 12, magazine size raised from 150 to 160, max ammo lowered from 500 to 480, initial ammo lowered from 250 to 120, raised total amount of rockets from 5 to 16
- Weapon for HMG M41A Pulse Rifle: cost raised from 4500 to 5000, weight decreased from 14 to 12, magazine size raised from 25 to 40, max ammo raised from 200 to 300, initial ammo amount lowered from 100 to 75
- Weapon for HMG Stinger Minigun: cost raised from 2500 to 3000, weight lowered from 10 to 8, magazine size raised from 100 to 160, max ammo raised from 400 to 640, initial ammo lowered from 200 to 160
### Fixed
- Zed's decaps now should always be displayed on clients
- Fixed problem with inaccurate replication of tear off momentum
- Wrote new code for detecting head-shots, instead of default one that didn't always work for some reason
- Changed code that handled fleshpound frustration timer to avoid keeping it forever calm with long-staying grenades
- Removed static links (that should've been replaced by a dynamic ones) to media resources in some converted weapons
- Fixed bug which caused projectiles to transfer zero momentum from point-blank shots
- Jason's stun threshold restored
- Fixed dead Jason's regeneration
- Fleshpounds should now be unaffected by angled shots
- Hunting shotgun will now properly interrupt reload to shoot, instead of restarting reload from scratch
### Known bugs and issues
- Belts of M249 SAW and PKM doesn't get hidden when reload was interrupted during phase with ejected 'magazine'

## [Version 0.2.19 "Different angle"] - 29.12.2015
### Added
- Angled shots mechanic: shots aimed high or low enough (0.8 radian angle, about 45 degrees) will hit the same zed after penetration
- Mechanism that tries to detect and report stuck animations
### Changed
- (Actually changed in version 0.2.17) Firing animation can now be immediately interrupted into reload
- Projectile spawn offset changed for all converted weapons
- Weapons that can penetrate both head and body now don't suffer additional damage loss from penetrating medium and huge zeds, unless they couldn't penetrate them at all
- Altered skill 'Close and personal' to work with new angled mechanic
- Changing from commando skill 'Large mags' will not reduce current magazine size for held weapons
- Support's skill 'Big-game hunter' replaced with new skill 'Sound proof'
- Sharpshooter's skills 'Dexterity' and 'Rifle handling' have swapped places
### Fixed
- Fixed Moss12 select animation
- Fixed one reason projectiles were destroyed after hitting a wall on a clients that didn't spawn them
### Known bugs and issues
- Friendly fire doesn't work with converted weapons
- Sound effect of weapons with high rate of fire aren't heard for other clients

## [Version 0.2.18 "Fear update + hotfix"] - 28.12.2015
### Changed
- Zeds with immunity from fire (husks) no longer fear flame grenades
- Huge zeds with base health of at least 1000, that aren't fleshpounds, (scrakes and jasons) do not fear regular grenades
- Extra huge zeds with base health of at least 1500 do not fear fleshpounds or rotate
- Raged fleshpound doesn't fear grenades
- Removed burst lock on assault rifles after using burst mode with 'Explosive power' skill
- Removed ScrN's ammo boxes system breaker
- Grenade from 'Cautious' skill play disintegration effect instead of just disappearing
### Fixed
- Now more weapon types can randomly spawn on the level, instead of just 9mm
- Fixed spawn rate boundaries enforcement
- Fixed bug that caused Multichamber ZED Thrower's alt fire to reduce magazine size
- Fixed resetting of assault rifles' fire mode after switching to different weapon
- Mean fleshpound now should stop raging after breaking a door

## [Version 0.2.17 "Bug fix update + Balance round 6"] - 27.12.2015
### Added
- Camo skin for SCAR
- Friendly fire voting along with two 'bOneFFIncOnly', 'bNoLateFFIncrease' restrictive options
- 'minSpawnRate' and 'maxSpawnRate' server settings that enforce spawn rate boundaries for the game ('mvote boring' can overwrite these settings)
- 'DEBUG' and 'LOGLINE' mutate command + corresponding 'bDebug' user setting
- 'NOFLASHLIGHT' mutate command for enabling/disabling flashlight on converted weapons and corresponding 'bDisableFlashlight' user setting
### Changed
- When checking for head-shots, nails from 'Shrapnel' skill make checks against double-sized head hitzones
- Base Jason's health reduced from 1500 to 1000, but he can regenerate if he doesn't receive damage for 10 seconds at a rate that restores his full health in 25 seconds
- HL changes: mean crawler, fleshpound and husk now grant 1.5 HL 
- Updated laser sights code for M14 EBR and Tactical Thompson to latest ScrN version
- Replaced Shotgun with Moss12 and Bullpup with Tactical Thompson in random item spawns
- Changing from commando skill 'Large mags' now will reduce magazine size (if it's too big) for all currently held weapons
- Replaced commando skill 'Improved burst fire' with it's modified version 'Explosive power'
- Amount of grenades player has will be automatically cut down if skill that granted higher grenade capacity was deselected
- Support's skill 'Cautious' delays explosion up to 10 seconds if player is nearby his grenade
- Support's skill 'Obsessive' grants reload speed when player lacks 35% (instead of the old value - 25%)
- Support's skill 'Big-game hunter' reduces amount of grenades you can carry by 5
- Support's skill 'Bullet storm' grants projectiles 50% damage up each time they bounce off the wall or penetrte a zed (up to 500% damage bonus)
- Support's skill 'Bore' replaced with new skill 'Lucky shot'
- Weapon for support KSG: weight increased from 6 to 7
- Weapon for support Multichamber ZED Thrower: fire rate increased by 25%
- Weapon for commando Rising Storm Tommy gun: raised recoil by 40%
- Weapon for commando Bullpup: raised ammo cost from 10 to 20
- Weapon for commando AK12: decreased recoil by factor of x2.5
- Weapon for commando M4: raised ammo cost from 30 to 40
- Weapon for commando AK47: decreased recoil by factor of x2.3
- Weapon for commando Mkb42: decreased recoil by factor of x2, max ammo decreased from 360 to 270, decreased starting ammo from 90 to 60
- Weapon for commando HK417: raised ammo cost from 20 to 40, bring up time decreased by a factor of 2
- Weapon for commando FNFAL: raised ammo cost from 30 to 40, decreased recoil by factor of x1.5
- Weapon for commando SCAR: lowered ammo cost from 60 to 40, decreased recoil by factor of x1.8
### Fixed
- Reduced log-spam
- Fixed 'Repairman' support skill not giving armor from ammo boxes
- Fixed instant reload after throwing a grenade with some weapons
- Fixed jumpy burst animations on FNFAL and M4
- Fixed most of the cases of crossbow reload freezing during zed time
- Fixed issue with tracer being fired only after releasing fire button
- Fixed black scope for L85A2
- Active reload bonus for shell-by-shell reloads now only applies to weapons that are able to do active reload
- Skill 'Professional' now speeds up reload without initial half-a-second delay
- Skill 'Obsessive' now doesn't speed up reload if you started it at lower ammo count than required

## [Version 0.2.16 "Hotfix"] - 15.12.2015
### Changed
- Raised amount of ammunition for all assault rifles, except M4 and HK417
- Increased delay after burst fire for commando rifles
- Skill 'Trash cleaner' now only adds damage on body-shots
- Disabled flashlight on converted weapons
- Weapon for Commando HK417: weight decreased from 8 to 6
### Fixed
- Weapon for Commando M4 now has weights 5
- Replaced a buggy system for sharing skills on client's side
- Fixed some rifles stabilizing in ironsights for too long
- Fixed increased delay after firing single-shot weapons
- Now Mean clots will actually take full body damage with 'Trash cleaner' skill enabled

## [Version 0.2.15 "Commando update"] - 14.12.2015
### Added
- Skill system for commando
- 'OpenTrader' command that opens trader dialog
- Added 3-burst fire mode to assault rifles with single-shot mode, that fires 3 bullets trice as fast
- Assault rifles now can also switch between single-fire and 3-burst modes by using flashlight toggle button
- 'ALTSWITCH ON/OFF' mutate command that allows to change behavior for alt-fire button for 2-mode assault rifles (either toggling between modes or firing the second mode)
### Changed
- Commando weapons smaller overhaul
- Tesla husk's base head health lowered from 400 to 200
- Mean husk shoots normally for up to 3 shots instead of 2
- Skill 'Shrapnel' produces 20 nails instead of 42 per grenade; each nail has head-shot modifier of 1.0
- Projectiles that has bounced off the wall now have double head hitbox radius for head-shot check
- Forcing players to stand still during initial trader is optional
- Progressive dosh now given to the spectators
- Crossbow and M99 can now skip interruptible part of reload without having to complete it later
- For the first shell loading (for shell-by-shell reloading weapons) now applies active reload speed-up; whether weapon allows for active reload or not
- Weapon for sharpshooter Crossbow: ammo pickup decreased from 6 to 4
- Weapon for support Hunting shotgun: interruptible reload, ammo pickup increased from 2 to 6
### Fixed
- Fixed 'Repairman' skill giving too much armor
- Duplicate entries shouldn't anymore appear in recently played with record
- ScrN's random ammo pickup system should be more suppressed
- None of the shotguns can use active reload
- Fixed bug that prevented active reload from auto-applying with 'Rifle handling' skill
- Fixed behavior of shotgun projectiles spawned on server with active 'Bullet storm' skill
- Fixed double reload speed for hunting shotgun after alt fire while using server-side hit detection
- Fixed some of Vlad the Impaler's sound and projectile invisibility issues
- Fixed some of the cases when shot wasn't fired on server with client-side hit detection
- Possibly fixed bug with phantom shot during reload with shell-by-shell reload shotguns
### Known bugs and issues
- Tracers and wall hit effects don't spawn after using burst fire

## [Version 0.2.14.2 "Hotfix" - 09.12.2015
### Changed
- Added setting to enable/disable health scaling back to make it compatible with scaling from TrainingPack (version 0.2.5 and earlier)

## [Version 0.2.14 "Recently played with recording support"] - 08.12.2015
### Added
- Recently played with record, that's written in 'NiceUser.ini' config file
- Client option to disable message about changing HL and 'HLMESSAGES' mutate command to enable or disable them
### Changed
- Now team skills shouldn't be shared with members of another team
- Mean husk can be stunned only once, shoots normally until he makes at least 2 shots or gets stunned once; after that he make 3 consecutive shots instead of one before moving further
- Recovery from accumulated head damage is made slower for zeds
### Fixed
- Resolved some issues with resetting of client settings
- Added momentum for ragdolls after being killed by M99 or crossbow

## [Version 0.2.13 "Hotfix + small balance fixes"] - 07.12.2015
### Added
- Added setting for minimal zed-spawn distance
### Changed
- Changed config file to 'NiceUser.ini'
- Settings for configurable health removed, - zeds' health is always scaled to 6-players level
- Support's skill 'Close and personal' doesn't affect targets with more than 1000 base health
- Weapon for support Vlad the Impaler: damage raised from 35 to 40
- Sharpshooter's skill 'Rifle handling' now also prevents player from failing active reload
- Disabled ScrN's random ammo pickup system
- Weapon for support Spas-12: weight reduced from 10 to 8
### Fixed
- Attempted a fix with not giving enough of progressive dosh at times
- Fixed single-fire weapon not getting recoil

## [Version 0.2.12 "Reload mechanics update + balance round 5"] - 05.12.2015
### Added
- New multi-stage client-side reload system that allows to resume reload from different moments, depending on at what point it was canceled
- Active reload mechanic that allows to speed up reload by pressing reload button at the right moment
### Changed
- Client-side hit detection is again enabled by default
- Now zed's heat level is capped at 135 instead of 310, but heat ticks happen twice as fast (3 times per second)
- Support weapon pickups from NicePack now also replace vanilla and ScrN ones
- Client-side projectile and hit-scan weapons are no longer stopped by dead bodies
- Reload cancellation result now checks animation frames on client instead of timing on a server
- Removed 'RELOADCANCEL' mutate command
- Bouncing off the wall now reduces projectile's damage as if huge zed (>=1000 base hp) was penetrated
- Progressive dosh now given to players before they spawn
- Lowered Field Medic's level 6 head-shot check multiplier for M7A3 from 2.4 to 2.0
- Sharpshooter's skill 'Planning' replaced by new skill 'Messy decapitation'
- Sharpshooter's skill 'Die already' replaced by 'Backup' that was moved from level 2 to level 1
- New level 2 sharpshooter skill 'Dexterity' introduced
- Sharpshooter skill 'Just one more' now give additional magazine to all sharpshooter weapons
- Sharpshooter's skill 'Rifle handling' was changed to auto complete active reload and traded places with another skill 'Mobility' (now former is a level 3 skill, while latter is level 4)
- Sharpshooter's skill 'Shooting gallery' now gives triple instead of double damage up during zed time and is activated for damage values below 220 instead of 200
- Support now only receives +5 weight blocks instead of +9 as a perk bonus
- Nails now always deal full damage to trash zeds (base health < 500) no matter how much they penetrated/bounced
- Support's skill 'Scavenger' no longer gives you 2 grenades from ammo box
- Support's skill 'Repairman' now gives you +25 armor from ammo boxes instead of better armor
- Support's skill 'Shrapnel' now shoots 42 nails instead of regular projectiles
- Support's skill 'Cautious' now moved down to level 2 from level 3
- Support's skill 'Diversity' now moved up to level 3 from level 2, weight bonus decreased to 5 from 6, ammo penalty removed
- Support's skill 'Obsessive' now gives reload bonus when you lack no more than 25% of ammo
- Support's skill 'Big-game hunter' now doesn't reduce amount of grenades you carry
- Support's skill 'Anti-zed rounds' replaced by new skill 'Close and personal'
- Support's skill 'Constant acceleration' replaced by new skill 'Bullet storm'
- Support's skill 'Hot lead' replaced by new skill 'Bore'
- Weapon for sharpshooter M99: max ammo lowered from 24 to 20, base damage lowered from 650 to 500, weight lowered from 13 to 12
- Weapon for sharpshooter Crossbow: max ammo raised from 36 to 40
- Weapon for support Pump shotgun: weight decreased from 8 to 6
- Weapon for support Multichamber ZED Thrower: weight decreased from 8 to 6
- Weapon for support Vlad the Impaler: weight increased from 6 to 8, single-nail mode now shoots nail 7 times faster
- Weapon for support AA12 shotgun: max ammo increased from 80 to 100, starting ammo increased from 20 to 25
- Weapon for firebug Horzine Flame Rifle: max ammo raise from 80 to 100, flame tendril damage was raised from 18 to 36
### Fixed
- Weapon for support Vlad the Impaler: now actually costs 2000
- Nail gun now always shoots appropriate amount of projectiles in a multi-pellet mode when current ammo count in magazine < 7 (default ammo consumption)
- Reload can't anymore zero the ammo counter even if magazine hasn't yet been removed
- No damage shots with shotguns are no longer possible
### Known bugs and issues
- Incompatible with magazine auto-filling features of TrainingPack (version 0.2.5 and earlier)
- Fire might not happen on server with client-side hit detection (causing a lack of arrow on the wall) and client might not play shooting animation with server-side hit detection (causing one-shot weapons to skip auto reload)

## [Version 0.2.11 "hotfix"] - 04.11.2015
### Changed
- Dead zeds no longer cause damage loss from penetration (or eat bullets)
### Fixed
- Bouncing projectiles now remain visible when using server-side hit-detection
- 'Constant acceleration' skill now working
- Reload of all pump-type shotguns is now canceled by shooting

## [Version 0.2.10 "Support + sharpshooter balance update + bug fixes + new bugs"] - 03.11.2015
### Added
- Skill system for support
### Changed
- Server-side hit-detection is now used by default
- Converted perks (support and sharpshooter at the moment) receive 100 of starting money to account for their higher prices
- Sick's head hit-box scale increased by factor of 1.5, but 'OnlineHeadshotScale' is lowered from 1.5 to 1.0
- Scrake won't rotate while stunned
- Projectiles, that are forced for hit-scan weapons, got twice as fast
- Changed exp gain speed scaling with Hardcore Level (rate is increased)
- Altered penetration values for sharpshooter weapons
- Penetration on all guns now follows the similar rules as ScrN's shotguns
- Support specialist no longer gains ammo bonus for shotguns
- Shotguns, and all converted projectile-based weapons, were altered to never deal double damage when shooting at point-blank, but became much more precise
- Weapon for sharpshooter L85A2: reload time reduced from 3.2 to 2.5 seconds, magazine capacity reduced from 30 to 15, damage increased from 20 to 65, head-shot modifier decreased from 4 to 1.25
- Weapon for sharpshooter Hunting Rifle: max ammo decreased from 60 to 40, starting ammo decreased from 15 to 10, ammo cost raised from 20 to 35, weight decreased from 7 to 6
- Weapon for sharpshooter SVDS: able to penetrate 1 target, ammo cost decreased from 15 to 10, head-shot damage modifier increased from 4 to 4.2
- Weapon for sharpshooter SVD: able to penetrate 3 targets, weight reduced from 11 to 10
- Weapon for sharpshooter Crossbow: ammo cost increased from 10 to 15
- Weapon for support Moss 12: marked as a backup weapon, max ammo increased from 48 to 60, starting ammo decreased from 24 to 15, ammo cost decreased from 20 to 15, reload speed lowered by a factor of x1.5, damage lowered from 35 to 25
- Weapon for support Pump shotgun: max ammo increased from 48 to 64, starting ammo decreased from 24 to 16, cost increased from 500 to 1000
- Weapon for support Multichamber ZED Thrower: weight decreased from 10 to 8, magazine size raised from 8 to 10, starting ammo decreased from 40 to 20, cost raised from 1500 to 2000
- Weapon for support Nail gun: renamed into Vlad the Impaler, max ammo increased from 336 to 420, starting ammo decreased from 126 to 105, cost raised from 1000 to 2000
- Weapon for support Hunting shotgun: max ammo increased from 48 to 64, starting ammo decreased from 24 to 16, ammo cost decreased from 45 to 20, cost increased from 1000 to 3000
- Weapon for support KSG: weight decreased from 7 to 6, max ammo increased from 60 to 84, starting ammo decreased from 24 to 21, ammo cost decreased from 30 to 15, cost raised from 1250 to 3000, damage increased from 19.5 to 20, instead of the old wide-spread mode KSG' alt fire now shoots 18 pellets, each one dealing 15 damage (normal mode is 12 pellets with 20 damage) and is x1.5 of the normal spread
- Weapon for support Combat shotgun: renamed into Benelli shotgun, max ammo increased from 48 to 60, starting ammo decreased from 24 to 15, cost increased from 2500 to 3000
- Weapon for support Saiga12c: amount of projectiles lowered from 5 to 4, max ammo increased from 56 to 72, starting ammo decreased from 24 to 18, ammo cost increased from 40 to 50, ammo cost increased from 40 to 80, cost raised from 2500 to 4000
- Weapon for support Spas-12: weight raised from 9 to 10, max ammo increased from 48 to 64, starting ammo decreased from 24 to 16, cost increased from 2300 to 4000, spread increased to match pump shotgun's, secondary fire now shoots slugs (at about x1.5 rate of primary fire)
- Weapon for support AA12 shotgun: starting ammo decreased from 60 to 20, cost increased from 4000 to 5000
### Fixed
- Client-side projectiles now damage environmental elements they didn't before
- Reduced log-spam in console
- Fixed bug that prevented previously spectating players from gaining progressive dosh
- Fixed game freezes during initial trader (hopefully)
- Fixed projectile behavior in case of server-side hit-detection, which shouldn't have even worked before
- Fixed bug that allowed to change skills during boss fight
- Clip size in trader for hunting rifle is set to 5, instead of 10
- Head-shot bonus no longer applies when "head-shotting" de-capped zeds
- M4-203M Medic Rifle now actually has a discount for medic
### Known bugs and issues
- Reload cancellation might zero the ammo counter even if magazine hasn't yet been removed
- Shotguns (especially hunting) might have occasional 'empty shots' that deal no damage
- Nail gun sometimes can't shoot in a multi-pellet mode when current ammo count < 7
- Support with 'Hot lead' skill sets aflame zeds even when not using perked weapons
- 'Constant acceleration' skill doesn't work
- Trenchgun isn't considered cross-perk for support at the moment

## [Version 0.2.9 "Balance update + minor fixes"] - 10.10.2015
### Added
- Added 'SETKEY' mutate command that changes inventory group of currently held weapon
- Mutant's fix for explosives, edited to properly work with TSC's 'DamTypeEnemyBase'
### Changed
- Mean Scrake can be melee-flinched if attack was also a head-shot
- Lowered rate at which Mean Stalker's bleeding reduces healing effect
- Replaced two sharpshooter skills: "Steady aim" with "Mobility" and "Unbreakable concentration" with "Just one more"
- Lowered Brute's base head health from 340 to 320
- Weapon for sharpshooter M99: base damage lowered from 675 to 650
- Weapon for firebug MAC10: cost decreased from 250 to 200
- Weapon for sharpshooter Winchester: cost decreased from 250 to 200
- Weapon for sharpshooter SVD: able to penetrate 1 target
- Weapon for sharpshooter Hunting Rifle: weight increased from 6 to 7, ammo pickup amount reduced from 10 to 5
- Easiest head zones mode now applied by default in case of client-side hit detection
### Fixed
- Added fix that reduces log-spam in the console
- Weapon for sharpshooter SVD: now penetrates up to 3 targets
- Fixed "Shooting gallery" giving it's bonuses in situations it aren't supposed to
- Skill menu now shouldn't have it's text size randomly changing
- Weapon for sharpshooter M99: penetration now works correctly
- Trader now won't open before game started if 'bInitialTrader' setting is set to true

## [Version 0.2.8 "Weapon mechanics update + sharpshooter balance fixes + important bug fixes"] - 05.10.2015
### Added
- GUI menu for skill change
- Added a backup flag for nice weapons (weapons derived from NiceWeapon class that support addidional features of this mutator)
- Added 'ForceSetName' command that cahnges nickname
- Added 'CONFIG' mutate command that shows current NicePack's settings
- Added 'HEADZONES EASY/NORMAL/HARD' mutate command that allows to switch how hard it is to shoot zed's heads
- Officially added 'ZED' mutate command that forcibly activates zed-time; only available when 'bAlwaysAllowSkillChange' is set to true
- Officially added 'HITDETECTION CLIENT/SERVER' mutate command that allows switching between hit-detection modes
- Added 'FORCEPROJ NORMAL/ZEDTIME ON/OFF' command that allows to force hit-scan weapons (only converted ones) fire projectiles instead; 2 independed setting for the duration of zed-time and normal game time
- Weapons placed on map are replaced with appropriate Nice versions (only weapons that have vanilla-prototipe and converted to NiceWeapon version); configurable by 'bReplacePickups' setting
- Mutator now remembers players' statistics during a match (amount of kills, assists, deaths) and restores them if player leaves and later rejoins
- Implemented "progressive dosh system" that changes amount of dosh newly joined players get based on current wave numeber (and takes into account if player previously left and then rejoined game)
- Skell's golden skin for M14 EBR
### Changed
- Scrake now leaves confusion state after the sawing loop attack
- Tesla husk's stun from damage over time mechanic moved to base monster class (NiceMonster), but still only affects tesla husks; stunning now require ~66% more damage than before and players are punished by the misses more
- Removed bugged additive exp bonus (in case of unlocking several achivements at once)
- Experience needed for a levelup now depends only on amount of stars you have
- Players can't move during pre-game (initial trader phase) and movement buttons should trigger a trader dialog
- Players have 5 seconds before the 1st wave and after pre-game trader, when they can freely move around
- Moved 'Perks' tab to the place of the 'News' tab in the main menu and placed 'Skills' tab at the old 'Perks' tab place
- Redone replication of client settings to be slightly less stupid
- Added level restrictions for perk skills
- Weapon for sharpshooter Winchester: cost decreased to 250 from 1000, perk discount removed
- Weapon for firebug and sharpshooter MAC10: no longer is a perked weapon for sharpshooter and doesn't receive any bonuses from that perk; cost increased to 250 from 250, marked as a backup weapon
- Weapon for sharpshooter Hunting Rifle: Damage increased from 220 to 250, headshot modifier decreased from 2.1 to 1.9, weight lowered from 7 to 6, reload time decreased from 4.0 to 3.2 seconds, cost decreased to 1000 from 2000
- Weapon for sharpshooter SVD: Reload time decreased from 4.5 to 3.6 seconds
- Weapon for sharpshooter Vintorez: Max ammo decreased from 100 to 80, initial ammo decreased from 25 to 20
### Fixed
- Now actually TSC-compatible
- Infinite penetration now actually works
- Added various fixes that reduce log-spam in the console
- HFR now doesn't try to load unexistent sleeve texture
- Useless HFR_* dependencies was removed
- Now non-textured scopes for M99 and L85A2 work correctly
- Players can no longer recieve bleeding damage after respawn
- Heavy Machinegunner no longer gets any spawn inventory if none has been specified in 'ScrnBalanceSrv.ini'
- Zerker now gets a proper bonus with new sharpshooter's weapons
- Weapon for sharpshooter Crossbow: once again 3-shots Jasons instead of 2-shotting
- Weapon for sharpshooter SVDS: 0.5 FP's resistance restored
- New weapons now can trigger buttons at ScrN testing grounds
### Known bugs and issues
- Skills that grant bonuses don't distinguish between teams in TSC mode
- Commando will share zed's health bars with opposite team in TSC mode
- Mean husk doesn't really stop attacking after dealing damage

## [Version 0.2.7 "Sharpshooter update"] - 15.08.2015
### Added
- Classes for basic client-side hit detection
- 9 working sharpshooter skills
- 'SKILLS' mutate command to request skill change and display current choices
- 'bAlwaysAllowSkillChange' setting that enables skill change at any time
- 'ZED' command that activates zed-time, available only when 'bAlwaysAllowSkillChange' is set to true
- Console commands for enabling/disabling client-side hit detection
- Optional increase in head hit-box sizes for client-side hit detection to compensate for shifting from a vanilla position too much
### Changed
- Head-shot modifier doesn't apply when shooting headless zeds (except for sharpshooter with a 'Die already' skill)
- Decreased damage needed to stun tesla-husk with a head-shots by factor of two
- All sharpshooter's weapons now use client-side hit detection (except SVD's alt fire)
- Removed any spread on weapons with client-side hit detection
- Sharpshooter doesn't have any discounts for ammunition
- Sharpshooter gains all his basic bonuses starting from level 0
- Sharpshooter weapons' base (not perked) recoil (except for M99 and MAC10) has been halved; perked recoil remained the same
- Sharpshooter doesn't gain fire speed bonus with any weapons
- Sharpshooter's max discount changed from 70% to 75%
- Sharpshooter's recoil dampening bonus decreased from 75% to 50%
- Sharpshooter's reload bonus now applies to all his weapons of weight at most 8
- Weapon for sharpshooter Crossbow: Price raised from 1600 to 2000; changed price for ammo from 30 to 10, but removed the ammo discount; looses no damage after penetrating trash and medium zeds, but can't penetrate huge ones
- Weapon for sharpshooter M14 EBR: Price raised from 2500 to 4000, initial ammo decreased from 60 to 40
- Weapon for sharpshooter L85A2: Cost increased to 2000 from 1100, damage decreased from 40 to 20, head-shot modifier increased from 2.1 to 4.0, buy clip size increased to 30 from 20 (to match weapon's clip size), clip cost decreased to 10 from 45, initial ammo decreased to 45 from 120
- Weapon for sharpshooter LAR: renamed into Winchester, price raised to 1000, now subject to a discount, initial ammo decreased to 20 from 40, fire speed increased by factor of 1.6
- Weapon for sharpshooter Hunting Rifle: Max ammo increased to 60 from 50, initial ammo decreased to 15 from 20, increased it's penetration capabilities, price changed from 650 to 2000, fire speed increased by factor of 1.6
- Weapon for sharpshooter Mauler: Cost of a clip raise from 20 to 50, starting ammo decreased to 20 from 80, price raise from 1500 to 3000, fire speed increased by factor of 1.6
- Weapon for sharpshooter M99: Cost increased from 3500 to 5000, ammo count lowered from 24 to 24, starting ammo increased from 5 to 6, damage and head-shot modifier restored to the vanilla values, ammo cost decreased from 99 to 60, buy clip size decreased to 1
- Weapon for sharpshooter Vintorez: Initial ammo decreased to 25 from 40, price raised to 3000 from 2500, clip cost decreased to 15 from 20
- Weapon for sharpshooter SVDS: Initial ammo decreased to 15 from 20, ammo pickup amount decreased to 5 from 10, clip cost decreased to 15 from 20
- Weapon for sharpshooter SVD: Cost decreased to 4000 from 5000, max ammo decreased to 60 from 70, initial ammo decreased to 15 from 30, clip cost increased to 50
- Weapon for firebug and sharpshooter MAC10: Weight reduced to 3, initial ammo decreased to 75 from 120
### Fixed
- Lever action rifle's (winchester's) fire speed now speed up along with animation
- L85A2's log-spam about missing fire mode
- SVD and SVDS reload animations now better match reload times
### Known bugs and issues
- Wrong icons for ammo of some weapons
- Incorrect ScrN trader info for the new crossbow, SVD, SVDS, Vintorez

## [Version 0.2.6 "Alt. start + minor fixes"] - 06.08.2015
### Added
- An option to enable global trader before wave 1; also allows to set time before said wave
### Changed
- Weapon for firebug Huskgun: projectile now deals impact damage after exploding; this should prevent Mean scrakes being unstunable by it
- Weapon for sharpshooter Vintorez: raised base damage from 120 to 125
- Bonus for first completition now given for maps HL10 and HL15 achievements that are unlocked while ignoring ScrN conditions;
- Bonus for first completition now additive in case several achievements are unlocked at the same time
### Fixed
- Mean scrake's unstun behaviour fixed

## [Version 0.2.5 "Balance round 4"] - 04.08.2015
### Changed
- Mean stalker's bleed damage was halved
- Nice sirens will also attempt to scream while on fire
- Trenchgun is a cross-perk weapon for firebug and support specialist
- Berserker has 40% resistance against patriarch
- Only fire DoT above 150 breaks Mean scrake's stun
- Scrake and fleshpound don't play pain animations from fire DoT
- Fleshpound won't hit with two consecutive arms as his first attack after he became enraged
- Scrake can now enter confused state if he passes rage threshold from a long flinch attack; confused scrake will rage from any body-shot or high fire DoT
### Fixed
- Mean scrake now gets unstunned even from damage that can't head-shot

## [Version 0.2.4 "hotfix"] - 24.07.2015
### Changed
- HL bonus granted for zeds scales with difficulty
### Fixed
- MAC10 now awards exp for sharpshooter; sharpshooter no longer gets discount for MAC10

## [Version 0.2.3 "Balance round 3 + minor fixes"] - 24.07.2015
### Changed
- MAC10 is a cross-perk weapon for firebug and sharpshooter
- Weapon for commando Rising Storm Tommy gun: max ammo decreased from 400 to 300; recoil increased to match value of Dr. T's Lead Delivery System
- Weapon for commando M4: Max ammo decreased from 200 to 160
- Weapon for gunslinger 9mm: now sharpshooter also has reduced recoil with 9mm
- Weapon for Heavy Machinegunner RPK-47: max ammo decreased from 400 to 250
### Fixed
- Mean stalker's bleed effect is working again
- HRL now properly receives it's ammo bonus
- Tactical Thompson now properly gives out commando exp

## [Version 0.2.2 "Balance round 2 + minor fixes"] - 15.07.2015
### Changed
- Decreased healing potency bonus for berserker from 75% (same as medic) to 35%.
- Berserker gets some experience bonus from offperk weapons (when they're used by a berserker perk), not counting head-shot multiplier or perk damage bonus.
- Scrakes and fleshpounds won't try to avoid husk's shots anymore.
- Mean husk stops shooting if his projectile has dealt more that 50% of it's full damage to the player.
- Weapon for sharpshooter: L85A2 decreased fire rate from 0.125 to 0.25 (now matches firerate of m14 ebr).
### Fixed
- NicePack no longer blocks 'mutate' command for other mutators.
- Rising Storm Tommy gun and Dr. T's Lead Delivery System now can't switch to single-fire mode.
- Mean scrake can be flinched if cause of the stun wasn't player.
- Mean scrake forcible unstun behaviour made less stupid.
- Patriarch's health now scales separately from other zeds.
- Dual Magnums 44 NW and Dual Handcannons NW now back at slot 3.

## [Version 0.2.1 "Balance round 1 + minor fixes"] - 26.06.2015
### Added
- 'echo' command that prints text after it for the calling player only.
### Changed
- 15+ HL achievements can be obtained with 15 HL or higher.
- Tactical Thompson now only has red laser color.
- Commando rifles' fire mode can now be changed during reload.
- Amount of fuel now set through 'FuelRatio' and is relative to zed's max health; allows for better difficulty scaling.
- Berserker's HS modifier with sharpshooter's weapons boosted to 60%.
- Patriarch stops burning and restores all his fuel upon healing (meaning he can burn more again); his heals are 2 times less effective if he's burning.
- Tesla husk's base speed was reduced to 100 from 140 (compare to fleshpound's 130).
- Mean crawler's poison duration decreased from 10 seconds to 5; it also affects faster perks more than slower ones (gunslinger is affected normally).
- Mean siren's pull force is changed to -200000 from -250000 (regular siren's value is -150000).
- Mean husk should stop shooting if his projectile directly hit the target.
- Mean scrake can be restunned if the cause of the stun wasn't player.
- Removed short reloads and resulting +1 to max ammo from AK12, AKC74, Saiga12c.
- Gunslinger and berserker no longer get headshot bonus with a single 9mm.
- Decreased L85A2 ammo to 180 from 210.
- Weapons for Heavy Machinegunner Heavy Tommy Gun NW and SA80 LSW NW: cost increased from 500 to 750.
- Other Heavy Machinegunner's (all  but Heavy Tommy Gun NW and SA80 LSW NW) weapon's cost increased by 500.
### Fixed
- Patriarch now can be set on fire.
- Bleeding icon shouldn't show up if bleeding has no hope of doing any damage.
- Mean scrake can't be flinched after the stun.

## [Version 0.2 "Update of fire"] - ??.06.2015
### Added
- Changlelog
- ScrN voting for Nice/Mean (Normal/Super) zeds.
- Weapon for support Moss12 NW: adapted to ScrN shotgun penetration mechanic, weight 5.
- Weapon for support Slug combat shotgun: slug combat shotgun version with zero spread, 4 ammo in magazine and reduced shot speed.
- Weapon for sharpshooter L85A2: no auto-fire, compared to the original.
- Weapon for commando Tactical Thompson: weight lowered to 5, damage and head-shot modifier were adapted to overhauled commando perk, now remembers laser state.
### Changed
- Removed DLC locks from all weapons.
- Custom boss or DooM monsters aren't required for 10+ and 15+ HL achievements; 20+ HL is required for previous 15+ HL instead.
- Perk levels 7 and 8 no longer grant additional damage or weight.
- Bonuses for weapons from ScrnWeaponPack as well as Moss 12, L85A2, Tactical Thompson, Horzine Flame Rifle are now hard-coded into perks.
- Support specialist receives vanilla 30% at lvl6 ammo bonus to AA12 and KSG, instead of ScrN's 50% one.
- Sharpshooter can't progress throw pistols head-shots anymore.
- Sharpshooter no longer get any on-perk bonuses for pistols (50% head-shot bonus for all weapons still applied).
- Commando weapons overhaul (will be described later).
- Field medic gets medic grenades that hurt enemies from level 3. M79M and M4203M grenades still do no damage.
- Field Medic now gets reload bonuses with all his perked weapons.
- Field medic has 10% speed bonus on level 3, instead of 9% and 20% instead of 18% on level 6.
- Berserker doesn't get reduced speed with non-melee weapons.
- Berserker can't be grabbed by clots only when his health is at least 50hp.
- Berserker overhaul: his melee speed bonus lowered to 15% from 30% and he doesn't have any resistances, but he now receives some bonuses to off-perk weapons.
- Flame mechanics and firebug overhaul. In particular, trash zeds now should behave more randomly when on fire and huge zeds shouldn't panic and "dance".
- Gunslinger now receives x1.6 (at lvl6) head-shot bonus with single pistols (except colt python) in addition to his usual x1.5 damage bonus.
- Gunslinger no longer receives any ammo bonuses, except for 9mm.
- Gunslinger's speed now strongly depends on his current weight. It's normal at a weight of 10 and changes 2% per 1 unit of weight.
- Heavy machinegunner overhaul. Most of his guns now do headshots. Guns that are unable of headshots do much lesser damage to huge zeds.
- Weapon for medic MP7M NW: removed penetration added by ScrN, healing boost raised to 30 from 20, ammo regeneration rate nerfed to 0.4 from 0.3.
- Weapon for medic MP5M NW: healing boost raised to 40 from 30, reduced weight to 3 from 4.
- Weapon for medic Schneidzekk NW: healing boost lowered to 30 from 40, reduced weight to 3 from 5, ammo regeneration rate nerfed to 0.4 from 0.2.
- Weapon for medic M7A3M NW: healing boost lowered to 30 from 40, reduced weight to 4 from 6, head-shot check scale boosted to 2.4x.
- Weapon for medic Blower thrower NW: max ammo raised to 400 from 300.
- Weapon for support Saiga12c NW: restored normal shotgun head-shot damage (x1.65), weight raised to 10 from 8, amount of projectiles lowered to 5 from 6.
- Weapon for support Nailgun NW: removed switching mode with alt. fire; primary fire now always shoots single nail and alt. fire always shoots 5 nails.
- Weapon for support KSG NW: deals x1.5 damage in widespread mode.
- Weapon for support Multichamber ZED Thrower NW: AA12-level damage per shot, 8 ammo in magazine (80 max), weight 10, cost 1500.
- Weapon for sharpshooter VSSD (Vintorez) NW: Removed auto-fire mode.
- Weapon for sharpshooter Musket: Renamed into Silver-plated mauler, changed default skin (notably, added more accurate iron sights).
- Weapon for sharpshooter M14 EBR NW: Added orange laser color, reverted head-shot modifier back to original 2.25.
- Weapon for firebug Huskgun NW: Returned perk damage bonuses as they were for vanilla version, increased cost for alt-fire to 30 from 20, lowered max ammo to vanilla value of 150 from ScrN one 200, lowered weight back to 8 from 9.
- Weapon for demolition Orca NW: Damage upped to 450 from 325 to match HopMine Launcher, max ammo decreased to 16.
- Weapon for demolition SeekerSix Rocket Launcher NW: damage increased from 100 to 250, impact damage increased from 75 to 150, max ammo decreased from 96 to 66.
- Weapon for demolition HopMine Launcher NW: mines no longer explode in close proximity, weight reduced to 5 from 6.
- Weapon for demolition SealSqueal Harpoon Bomber NW: projectiles are immune to siren's scream.
- Weapon for demolition Pipe Bomb NW: once again can be exploded by fire, can't be exploded by dead zeds.
- Weapon for demolition HRL NW: decreased distance after which rocket is allowed to detonate.
- Weapon for gunslinger Magnum 44 NW: decreased damage to 85 from 90, increased max ammo to 96 from 66.
- Weapon for gunslinger Handcannon NW: decreased reload speed, decreased weight from 4 to 3.
- Weapon for gunslinger MK23 NW: decreased damage to 55 from 82, increased head-shot multiplier from 1.1 to 2.25.
- Decapitated zeds walk and choose their target at random.
- Zeds divided into Nice (regular zeds) and Mean (former super zeds) varieties; mean zeds have different skins (gritty zeds).
- Mean (former super) clots no longer have an ability to grab berserker with a group.
- Crawler will be instantly decapitated upon receiving any head damage.
- Mean crawler's poison lowers speed for any perk, instead of removing speed bonuses.
- Stalkers can maintin invisibility while on fire.
- Mean stalker's blee effect scales with difficulty and player's armor. With armor above 100 stalker cannot even apply the bleed effect.
- Siren's scream also should be triggered by fire.
- Mean siren's scream has a stronger pull.
- Mean siren can't screams through the walls.
- Husk can not be burned or set on fire.
- Mean husk does one less shot in his barrage on average.
- Mean scrake won't be unstunned from headshots; he will instantly rage upon coming out of stun, regardless of his health.
- Mean fleshpond's timer resets, but he won't stop raging until he kills a player.
- Telsa husk can be stand with high head damage over a short period of time and not just one powerful shot.
- Sick receives double head damage, but his head health was doubled. This will make him easier to drop.
### Fixed
- Fixed bug with VSSD (Vintorez) that in some situations caused weapon to deal double damage.
- Fixed jason's jumping from brute's pushing.
### Known bugs and issues
- Incorrect amount of damage for fire-based weapons (x1.5 higher) is shown in the shop.
- Incorrect values are shown for post-6 perk levels.
- Skin change sometimes gets stuck for certain weapons.
- 9mm still has a sharpshooter icon.
- Zed guns are weird and semi-broken.
- Achievements might be given in the wrong order.
- No reward for tesla husk when it explodes.
- Achievements have wrong description.
- Bleed effect icon show even when no actual damage being done by a bleed.
- Patriarch isn't setting of fire.